## org-mode-doc 8.2.1

=== debian/changelog ===
org-mode-doc (8.2.1-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sun, 27 Oct 2013 17:16:57 +0100

org-mode-doc (8.0.7-2) unstable; urgency=low

  * Breaks: org-mode (<< 8.0.7-1) (Closes: #720048)

 -- Sebastien Delafond <seb@debian.org>  Wed, 21 Aug 2013 11:39:16 +0200

org-mode-doc (8.0.7-1) unstable; urgency=low

  * New upstream release
  * Explicitely point to GFDL in debian/copyright
  * Lintian fixes

 -- Sebastien Delafond <seb@debian.org>  Sun, 11 Aug 2013 16:30:18 +0200

org-mode-doc (8.0.6-2) unstable; urgency=low

  * Proper copyright notice
  * Quickly mention that this package is closing the original RC bug filed
    against org-mode for non-free documentation (#709494)

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Jul 2013 10:49:43 +0200

org-mode-doc (8.0.6-1) unstable; urgency=low

  * First release
  * New version of the manual (Closes: #691892)

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Jul 2013 14:15:22 +0200

## org-mode-doc 8.2.4

=== Makefile ===
# Makefile - for the org-mode distribution
# GNU make is required
#
# This file is not part of GNU Emacs

# set up environment
 include mk/default.mk	# defaults, customizable via "local.mk"
-include local.mk	# optional local customization, use default.mk as template

# default target is "all" unless overridden in local.mk
all::

# Describe valid make targets for org-mode.
.PHONY:	targets help helpall
targets:	help
help helpall::
	$(info )
	$(info Getting Help)
	$(info ============)
	$(info )
	$(info make help           - show brief help)
	$(info make targets        - ditto)
	$(info make helpall        - show extended help)
	$(info )
	$(info Build and Check)
	$(info ===============)
	$(info make                - build Org ELisp and all documentation)
	$(info make all            - ditto)
	$(info make compile        - build Org ELisp files)
	$(info make single         - build Org ELisp files, single Emacs per source)
	$(info make autoloads      - create org-loaddefs.el to load Org in-place)
	$(info make test           - build Org ELisp files and run test suite)
helpall::
	$(info make test-dirty     - check without building first)
	$(info make compile-dirty  - build only stale Org ELisp files)
	$(info )
	$(info Compatibility)
	$(info =============)
	$(info make oldorg         - what the old make did: compile autoloads info)
	$(info )
	$(info Cleaning)
	$(info ========)
	$(info make clean          - remove built Org ELisp files and documentation)
	$(info make cleanall       - remove everything that can be built and all remnants)
	$(info make clean-install  - remove previous Org installation)
	$(info )
	$(info Configuration Check)
	$(info ===================)
help helpall::
	$(info make config         - check main configuration)
helpall::
	$(info make config-version - check Org version)
	$(info make config-test    - check test configuration)
	$(info make config-exe     - check executables configuration)
	$(info make config-cmd     - check command configuration)
	$(info make config-all     - check all configuration)
	$(info )
	$(info Documentation)
	$(info =============)
help helpall::
	$(info make doc            - build all documentation)
helpall::
	$(info make docs           - ditto)
help helpall::
	$(info make info           - build Info documentation)
helpall::
	$(info make html           - build HTML documentation)
	$(info make pdf            - build PDF documentation)
	$(info make card           - build reference cards)
	$(info make refcard        - ditto)
help helpall::
	$(info )
	$(info Installation)
	$(info ============)
	$(info make install        - build and install Org)
helpall::
	$(info make install-etc    - build and install files in /etc)
	$(info make install-lisp   - build and install Org Elisp files)
	$(info make install-info   - build and install Info documentation)
	$(info )
	$(info Convenience)
	$(info ===========)
	$(info make up0            - pull from upstream)
	$(info make up1            - pull from upstream, build and check)
	$(info make up2            - pull from upstream, build, check and install)
	$(info make update         - pull from upstream and build)
	$(info make update2        - pull from upstream, build and install)
	$(info make uncompiled     - combine cleanlisp and autoloads)
	$(info make local.mk       - create new local.mk as template for adaptation)
help helpall::
	$(info )
	$(info Full documentation on Worg)
	$(info ==========================)
	$(info http://orgmode.org/worg/dev/org-build-system.html)
	@echo ""

 include mk/targets.mk	# toplevel make machinery

=== doc/Makefile ===
.SUFFIXES:	# we don't need default suffix rules
ifeq ($(MAKELEVEL), 0)
  $(error This make needs to be started as a sub-make from the toplevel directory.)
endif
.PHONY:		all info html pdf card manual guide install \
		clean cleanall clean-install

all:		$(ORG_MAKE_DOC)

info:		org

html:		org.html

pdf:		org.pdf orgguide.pdf

card:		orgcard.pdf orgcard_letter.pdf orgguide.pdf

ifneq ($(SERVERMK),)
manual guide::
	-$(RMR) $@
	$(MKDIR) $@
manual::	org.texi org-version.inc
	$(TEXI2HTML) -o $@ $<
	../mk/mansplit.pl $@/*
guide::		orgguide.texi org-version.inc
	$(TEXI2HTML) -o $@ $<
	../mk/guidesplit.pl $@/*
endif

org-version.inc:	org.texi
	@echo "org-version: $(ORGVERSION) ($(GITVERSION))"
	@echo "@c automatically generated, do not edit"  > org-version.inc
	@echo "@set VERSION $(ORGVERSION) ($(GITVERSION))" >> org-version.inc
	@echo "@set DATE $(DATE)" >> org-version.inc

install:	org
	if [ ! -d $(DESTDIR)$(infodir) ]; then $(MKDIR) $(DESTDIR)$(infodir); else true; fi ;
	$(CP) org $(DESTDIR)$(infodir)
	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) org

clean:
	$(RM) org *.pdf *.html *_letter.tex org-version.inc \
	      *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs \
	      *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps
cleanall:	clean
	$(RMR) guide manual

clean-install:
	$(RM) $(DESTDIR)$(infodir)/org*
	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) --remove org

.SUFFIXES:	.texi .tex .txt _letter.tex

%:		%.texi org-version.inc
	$(MAKEINFO) --no-split $< -o $@

%.pdf:		LC_ALL=C	# work around a bug in texi2dvi
%.pdf:		LANG=C		# work around a bug in texi2dvi
%.pdf:		%.texi org-version.inc
	$(TEXI2PDF) $<
%.pdf:		%.tex
	PDFLATEX=$(PDFTEX) $(TEXI2PDF) $<

%.html:		%.texi org-version.inc
	$(TEXI2HTML) --no-split -o $@ $<
ifneq ($(SERVERMK),)
	../mk/manfull.pl $@

%.txt:		%.tex
	perl ../mk/orgcard2txt.pl $< > $@
endif

%_letter.tex:	%.tex
	$(BATCH) \
	  --eval '(add-to-list '"'"'load-path "../lisp")' \
	  --eval '(load "org-compat.el")' \
	  --eval '(load "../mk/org-fixup.el")' \
	  --eval '(org-make-letterformat "$(<F)" "$(@F)")'

=== debian/changelog ===
org-mode-doc (8.2.4-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sun, 29 Dec 2013 17:50:53 +0100

=== debian/control ===
Source: org-mode-doc
Section: non-free/doc
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: texinfo, texlive-latex-base
Standards-Version: 3.9.4
Homepage: http://orgmode.org

Package: org-mode-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: org-mode
Breaks: org-mode (<< 8.0.7-1)
Description: keep notes, maintain ToDo lists, and do project planning in emacs
 Org-mode is a mode for keeping notes, maintaining ToDo lists, and
 doing project planning with a fast and effective plain-text system.
 .
 Org-mode develops organizational tasks around NOTES files that contain
 information about projects as plain text. Org-mode is implemented on
 top of outline-mode, which makes it possible to keep the content of
 large files well structured. Visibility cycling and structure editing
 help to work with the tree. Tables are easily created with a built-in
 table editor. Org-mode supports ToDo items, deadlines, time stamps,
 and scheduling. It dynamically compiles entries into an agenda. Plain
 text URL-like links connect to websites, emails, Usenet messages,
 BBDB entries, and any files related to the projects. For printing and
 sharing of notes, an Org-mode file can be exported as a structured
 ASCII file, HTML, and LaTeX.
 .
 This is the documentation package

## org-mode-doc 8.2.5h

=== debian/changelog ===
org-mode-doc (8.2.5h-1) unstable; urgency=low

  * New upstream release
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Apr 2014 13:13:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://orgmode.org
 
 Package: org-mode-doc

## org-mode-doc 8.2.7c

=== debian/changelog ===
org-mode-doc (8.2.7c-1ubuntu1) utopic; urgency=medium

  * Build-depend on texlive-fonts-recommended.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 22:04:35 +0200

org-mode-doc (8.2.7c-1) unstable; urgency=medium

  * New upstream version 8.2.7c

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Aug 2014 12:06:16 +0200

org-mode-doc (8.2.7b-2) unstable; urgency=medium

  * Add Vcs-* information

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 Jul 2014 11:48:11 +0200

org-mode-doc (8.2.7b-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Wed, 25 Jun 2014 09:35:40 +0200

org-mode-doc (8.2.7a-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Jun 2014 11:09:14 +0200

org-mode-doc (8.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sat, 14 Jun 2014 12:50:29 +0200

org-mode-doc (8.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Fri, 13 Jun 2014 13:21:17 +0200

## org-mode-doc 8.2.10

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	$(info )
 	$(info Getting Help)
 	$(info ============)
-	$(info )
 	$(info make help           - show brief help)
 	$(info make targets        - ditto)
 	$(info make helpall        - show extended help)

=== debian/changelog ===
org-mode-doc (8.2.10-1) unstable; urgency=medium

  * New upstream version 8.2.10

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Oct 2014 11:21:46 +0200

org-mode-doc (8.2.7c-2) unstable; urgency=medium

  * Add missing build dependency on texlive-fonts-recommended (Closes: #760506)

 -- Sebastien Delafond <seb@debian.org>  Mon, 08 Sep 2014 10:31:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
-Build-Depends-Indep: texinfo, texlive-latex-base
+Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
 Standards-Version: 3.9.5
 Homepage: http://orgmode.org
+Vcs-Git: git://anonscm.debian.org/collab-maint/org-mode-doc.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/org-mode-doc.git
 
 Package: org-mode-doc
 Architecture: all

## org-mode-doc 8.3.3

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	$(info make single         - build Org ELisp files, single Emacs per source)
 	$(info make autoloads      - create org-loaddefs.el to load Org in-place)
 	$(info make test           - build Org ELisp files and run test suite)
+	$(info make vanilla        - run Emacs with this Org-mode and no personal config)
 helpall::
 	$(info make test-dirty     - check without building first)
 	$(info make compile-dirty  - build only stale Org ELisp files)

=== doc/Makefile ===
--- 
+++ 
@@ -54,8 +54,9 @@
 %:		%.texi org-version.inc
 	$(MAKEINFO) --no-split $< -o $@
 
-%.pdf:		LC_ALL=C	# work around a bug in texi2dvi
-%.pdf:		LANG=C		# work around a bug in texi2dvi
+# the following two lines work around a bug in some versions of texi2dvi
+%.pdf:		LC_ALL=C
+%.pdf:		LANG=C
 %.pdf:		%.texi org-version.inc
 	$(TEXI2PDF) $<
 %.pdf:		%.tex

=== debian/changelog ===
org-mode-doc (8.3.3-1) unstable; urgency=medium

  * Imported new upstream version 8.3.3

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 18:55:58 +0100

org-mode-doc (8.3.2-1) unstable; urgency=medium

  * New upstream version 8.3.2

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Nov 2015 17:41:40 +0100

org-mode-doc (8.3.1-1) unstable; urgency=medium

  * New upstream release
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 25 Aug 2015 14:24:05 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://orgmode.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/org-mode-doc.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/org-mode-doc.git

=== debian/rules ===
#! /usr/bin/make -f

DOC_TMP_FILES := doc/org.aux doc/org.cp doc/org.cps doc/org.fn \
		 doc/org.fns doc/org.ky doc/org.kys \
	         doc/org.log doc/org.pg doc/org.toc doc/org.tp

DOC_FILES := doc/*pdf doc/*html

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f $(DOC_FILES) $(DOC_TMP_FILES) local.mk

build build-indep build-arch:

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	make doc
	rm -f $(DOC_TMP_FILES)
	# find $(CURDIR)/debian/org-mode-doc/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
	# find $(CURDIR)/debian/org-mode-doc/usr/share/emacs/site-lisp/org-mode -type f -exec chmod 644 "{}" \;
	# find $(CURDIR)/debian/org-mode-doc/usr/share/org-mode/ -name .DS_Store -exec rm -f "{}" \;
	# find $(CURDIR)/debian/org-mode-doc/usr/share/org-mode/ -name .gitignore -exec rm -f "{}" \;

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/*
	rm -f $(CURDIR)/debian/org-mode-doc/usr/share/doc/org-mode-doc/*texi*
	dh_installemacsen -v
	dh_fixperms
	dh_installinfo doc/org
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch

binary: binary-indep binary-arch

.PHONY: build clean build-indep build-arch binary binary-indep binary-arch

## org-mode-doc 8.3.4

=== debian/changelog ===
org-mode-doc (8.3.4-1) unstable; urgency=medium

  * Imported Upstream version 8.3.4

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Mar 2016 10:02:30 +0100

## org-mode-doc 9.0.3

=== debian/changelog ===
org-mode-doc (9.0.3-2) unstable; urgency=medium

  * Correct Vcs-Git URL

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 Dec 2016 09:38:49 +0100

org-mode-doc (9.0.3-1) unstable; urgency=medium

  * Imported Upstream version 9.0.3

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 Dec 2016 09:25:04 +0100

org-mode-doc (9.0.2-1) unstable; urgency=medium

  * Imported Upstream version 9.0.2
  * Bump debhelper compatibility level to 9
  * Use dh_prep instead of dh_clean -k
  * Switch to HTTPS for Vcs-*
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Dec 2016 18:17:37 +0100

org-mode-doc (9.0-1) unstable; urgency=medium

  * Imported Upstream version 9.0

 -- Sebastien Delafond <seb@debian.org>  Mon, 07 Nov 2016 10:55:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://orgmode.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/org-mode-doc.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/org-mode-doc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/org-mode-doc.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/org-mode-doc.git
 
 Package: org-mode-doc
 Architecture: all

## org-mode-doc 9.0.9

=== debian/changelog ===
org-mode-doc (9.0.9-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debian/watch: Switch to version 4, automatically repack,
    and compress with xz
  * Switch to copyright-format 1.0; use Files-Excluded to exclude non-docs
  * New upstream version 9.0.9

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Jul 2017 18:05:27 +0200

## org-mode-doc 9.1.6

=== debian/changelog ===
org-mode-doc (9.1.6-1) unstable; urgency=medium

  * New upstream version 9.1.6

 -- Sebastien Delafond <seb@debian.org>  Fri, 05 Jan 2018 10:56:18 +0100

org-mode-doc (9.1.5-1) unstable; urgency=medium

  * New upstream version 9.1.5
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 11:44:29 +0100

org-mode-doc (9.1.2-1) unstable; urgency=medium

  * New upstream version 9.1.2

 -- Sebastien Delafond <seb@debian.org>  Sat, 07 Oct 2017 10:27:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: non-free/doc
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 6)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://orgmode.org
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/org-mode-doc.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/org-mode-doc.git

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	make doc
 	rm -f $(DOC_TMP_FILES)

=== debian/watch ===
version=4
opts=repack,compression=xz \
  http://orgmode.org/ org-(\d.+)\.tar\.gz

## org-mode-doc 9.1.14

=== doc/Makefile ===
--- 
+++ 
@@ -33,13 +33,20 @@
 	@echo "@set VERSION $(ORGVERSION) ($(GITVERSION))" >> org-version.inc
 	@echo "@set DATE $(DATE)" >> org-version.inc
 
+org-version.tex:	orgcard.tex
+	@printf "org-version: $(ORGVERSION) ($(GITVERSION))\n"
+	@printf "%% automatically generated, do not edit\n" > org-version.tex
+	@printf "\def\orgversionnumber{$(ORGVERSION)}\n" >> org-version.tex
+	@printf "\def\\\\versionyear{$(YEAR)}\n" >> org-version.tex
+	@printf "\def\year{$(YEAR)}\n" >> org-version.tex
+
 install:	org
 	if [ ! -d $(DESTDIR)$(infodir) ]; then $(MKDIR) $(DESTDIR)$(infodir); else true; fi ;
 	$(CP) org $(DESTDIR)$(infodir)
 	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) org
 
 clean:
-	$(RM) org *.pdf *.html *_letter.tex org-version.inc \
+	$(RM) org *.pdf *.html *_letter.tex org-version.inc org-version.tex \
 	      *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs \
 	      *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps
 cleanall:	clean
@@ -59,7 +66,7 @@
 %.pdf:		LANG=C
 %.pdf:		%.texi org-version.inc
 	$(TEXI2PDF) $<
-%.pdf:		%.tex
+%.pdf:		%.tex org-version.tex
 	PDFLATEX=$(PDFTEX) $(TEXI2PDF) $<
 
 %.html:		%.texi org-version.inc

=== debian/changelog ===
org-mode-doc (9.1.14-1) unstable; urgency=medium

  * New upstream version 9.1.14

 -- Sebastien Delafond <seb@debian.org>  Thu, 23 Aug 2018 14:09:36 +0200

org-mode-doc (9.1.13-1) unstable; urgency=medium

  * Move to emacsen-team
  * New upstream version 9.1.13

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Jun 2018 15:08:47 +0200

org-mode-doc (9.1.11-1) unstable; urgency=medium

  * New upstream version 9.1.11

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 Apr 2018 16:20:55 +0200

org-mode-doc (9.1.9-1) unstable; urgency=medium

  * New upstream version 9.1.9

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 14:56:54 +0200

org-mode-doc (9.1.7-2) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * Provide refcard in PDF format (Closes: #892027)

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 14:28:15 +0200

org-mode-doc (9.1.7-1) unstable; urgency=medium

  * Remove testing/ when repacking the upstream tarball (Closes: #886433)
  * New upstream version 9.1.7

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Mar 2018 09:20:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: org-mode-doc
 Section: non-free/doc
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
+Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 4.1.1
-Homepage: http://orgmode.org
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/org-mode-doc.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/org-mode-doc.git
+Standards-Version: 4.1.3
+Homepage: https://orgmode.org
+Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode-doc
 
 Package: org-mode-doc
 Architecture: all

## org-mode-doc 9.2.2

=== debian/changelog ===
org-mode-doc (9.2.2-1) unstable; urgency=medium

  * New upstream version 9.2.2
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Mar 2019 14:58:10 +0100

## org-mode-doc 9.2.3

=== debian/changelog ===
org-mode-doc (9.2.3-1) unstable; urgency=medium

  * New upstream version 9.2.3

 -- Sebastien Delafond <seb@debian.org>  Tue, 02 Apr 2019 16:24:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode-doc

## org-mode-doc 9.3

=== doc/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 all:		$(ORG_MAKE_DOC)
 
-info:		org
+info:		org orgguide
 
 html:		org.html
 
@@ -27,6 +27,12 @@
 	../mk/guidesplit.pl $@/*
 endif
 
+org.texi orgguide.texi:	org-manual.org org-guide.org
+	$(BATCH) \
+	  --eval '(add-to-list '"'"'load-path "../lisp")' \
+	  --eval '(load "../mk/org-fixup.el")' \
+	  --eval '(org-make-manuals)'
+
 org-version.inc:	org.texi
 	@echo "org-version: $(ORGVERSION) ($(GITVERSION))"
 	@echo "@c automatically generated, do not edit"  > org-version.inc
@@ -40,21 +46,24 @@
 	@printf "\def\\\\versionyear{$(YEAR)}\n" >> org-version.tex
 	@printf "\def\year{$(YEAR)}\n" >> org-version.tex
 
-install:	org
+install:	org orgguide
 	if [ ! -d $(DESTDIR)$(infodir) ]; then $(MKDIR) $(DESTDIR)$(infodir); else true; fi ;
 	$(CP) org $(DESTDIR)$(infodir)
+	$(CP) orgguide $(DESTDIR)$(infodir)
 	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) org
+	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) orgguide
 
 clean:
-	$(RM) org *.pdf *.html *_letter.tex org-version.inc org-version.tex \
-	      *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs \
-	      *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps
+	$(RM) org orgguide *.pdf *.html *_letter.tex org-version.inc \
+	      org-version.tex *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys \
+              *.pg *.pgs *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps
 cleanall:	clean
 	$(RMR) guide manual
 
 clean-install:
 	$(RM) $(DESTDIR)$(infodir)/org*
 	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) --remove org
+	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) --remove orgguide
 
 .SUFFIXES:	.texi .tex .txt _letter.tex

=== debian/changelog ===
org-mode-doc (9.3-1) unstable; urgency=medium

  * New upstream version 9.3
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Fri, 20 Dec 2019 15:48:39 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode-doc

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	make doc
+	make ORG_MAKE_DOC="info html pdf card" doc
 	rm -f $(DOC_TMP_FILES)
 	# find $(CURDIR)/debian/org-mode-doc/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
 	# find $(CURDIR)/debian/org-mode-doc/usr/share/emacs/site-lisp/org-mode -type f -exec chmod 644 "{}" \;

=== debian/watch ===
version=4
opts=repack,compression=xz \
  https://orgmode.org/ org-(\d.+)\.tar\.gz

## org-mode-doc 9.4.0

=== debian/changelog ===
org-mode-doc (9.4.0-2) unstable; urgency=medium

  * Add XS-Autobuild:yes (Closes: #975581)

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 Nov 2020 08:09:47 +0100

org-mode-doc (9.4.0-1) unstable; urgency=medium

  * New upstream version 9.4.0
  * Bump-up Standards-Version
  * Switch to dh

 -- Sebastien Delafond <seb@debian.org>  Thu, 24 Sep 2020 17:07:33 +0200

org-mode-doc (9.3.1-1) unstable; urgency=medium

  * New upstream version 9.3.1

 -- Sebastien Delafond <seb@debian.org>  Thu, 16 Jan 2020 09:08:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode-doc
+XS-Autobuild: yes
 
 Package: org-mode-doc
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

DOC_TMP_FILES := doc/org.aux doc/org.cp doc/org.cps doc/org.fn \
		 doc/org.fns doc/org.ky doc/org.kys \
	         doc/org.log doc/org.pg doc/org.toc doc/org.tp

DOC_FILES := doc/*pdf doc/*html

%:
	dh $@

override_dh_auto_clean:
	rm -f $(DOC_FILES) $(DOC_TMP_FILES) local.mk

override_dh_auto_build:
	make ORG_MAKE_DOC="info html pdf card" doc
	rm -f $(DOC_TMP_FILES)

override_dh_installdocs:
	dh_installdocs doc/*
	rm -f $(CURDIR)/debian/org-mode-doc/usr/share/doc/org-mode-doc/*texi*

override_dh_installinfo:
	dh_installinfo doc/org

override_dh_auto_install override_dh_auto_test:

## org-mode-doc 9.5.2

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 info:		org orgguide
 
-html:		org.html
+html:		org.html orgguide.html
 
 pdf:		org.pdf orgguide.pdf
 
@@ -27,11 +27,17 @@
 	../mk/guidesplit.pl $@/*
 endif
 
-org.texi orgguide.texi:	org-manual.org org-guide.org
-	$(BATCH) \
-	  --eval '(add-to-list '"'"'load-path "../lisp")' \
-	  --eval '(load "../mk/org-fixup.el")' \
-	  --eval '(org-make-manuals)'
+org.texi:	org-manual.org
+	$(BATCH) 				      \
+	  --eval '(add-to-list `load-path "../lisp")' \
+	  --eval '(load "../mk/org-fixup.el")' 	      \
+	  --eval '(org-make-manual)'
+
+orgguide.texi:	org-guide.org
+	$(BATCH) 				      \
+	  --eval '(add-to-list `load-path "../lisp")' \
+	  --eval '(load "../mk/org-fixup.el")' 	      \
+	  --eval '(org-make-guide)'
 
 org-version.inc:	org.texi
 	@echo "org-version: $(ORGVERSION) ($(GITVERSION))"
@@ -48,16 +54,17 @@
 
 install:	org orgguide
 	if [ ! -d $(DESTDIR)$(infodir) ]; then $(MKDIR) $(DESTDIR)$(infodir); else true; fi ;
-	$(CP) org $(DESTDIR)$(infodir)
-	$(CP) orgguide $(DESTDIR)$(infodir)
-	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) org
-	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) orgguide
+	$(CP) org.info $(DESTDIR)$(infodir)
+	$(CP) orgguide.info $(DESTDIR)$(infodir)
+	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) org.info
+	$(INSTALL_INFO) --infodir=$(DESTDIR)$(infodir) orgguide.info
 
 clean:
-	$(RM) org orgguide *.pdf *.html *_letter.tex org-version.inc \
-	      org-version.tex *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys \
-              *.pg *.pgs *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps
+	$(RM) *.pdf *.html *.info *_letter.tex org-version.inc org-version.tex \
+	      *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs *.toc \
+              *.tp *.tps *.vr *.vrs *.log *.ps
 cleanall:	clean
+	$(RM) org.texi orgguide.texi
 	$(RMR) guide manual
 
 clean-install:
@@ -68,7 +75,7 @@
 .SUFFIXES:	.texi .tex .txt _letter.tex
 
 %:		%.texi org-version.inc
-	$(MAKEINFO) --no-split $< -o $@
+	$(MAKEINFO) --no-split $< -o $@.info
 
 # the following two lines work around a bug in some versions of texi2dvi
 %.pdf:		LC_ALL=C
@@ -88,8 +95,8 @@
 endif
 
 %_letter.tex:	%.tex
-	$(BATCH) \
-	  --eval '(add-to-list '"'"'load-path "../lisp")' \
-	  --eval '(load "org-compat.el")' \
-	  --eval '(load "../mk/org-fixup.el")' \
+	$(BATCH) 				      \
+	  --eval '(add-to-list `load-path "../lisp")' \
+	  --eval '(load "org-compat.el")' 	      \
+	  --eval '(load "../mk/org-fixup.el")' 	      \
 	  --eval '(org-make-letterformat "$(<F)" "$(@F)")'

=== debian/changelog ===
org-mode-doc (9.5.2-1) unstable; urgency=medium

  * New upstream version 9.5.2 (Closes: #1003541)
  * d/copyright: keep lisp/ as it's needed to build the doc
  * d/watch: use git mode
  * d/control: build-depend on emacs-nox

 -- Sebastien Delafond <seb@debian.org>  Fri, 21 Jan 2022 14:52:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended
+Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended, emacs-nox
 Standards-Version: 4.5.0
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,6 @@
 	rm -f $(CURDIR)/debian/org-mode-doc/usr/share/doc/org-mode-doc/*texi*
 
 override_dh_installinfo:
-	dh_installinfo doc/org
+	dh_installinfo doc/org.info
 
 override_dh_auto_install override_dh_auto_test:

## org-mode-doc 9.6.10

=== debian/changelog ===
org-mode-doc (9.6.10-1) unstable; urgency=medium

  * Team upload.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Oct 2023 13:17:56 -0400

org-mode-doc (9.6.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update my email address.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 09 Sep 2023 16:22:10 -0400

org-mode-doc (9.6.8-1) unstable; urgency=medium

  * Team upload.
  * Update Files-Excluded for new upstream release.
  * New upstream release (Closes: #1043044).
  * Update FSF copyright statements.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 23 Aug 2023 20:15:52 -0400

## org-mode-doc 9.7.6

=== debian/changelog ===
org-mode-doc (9.7.6-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:09:40 +0900

org-mode-doc (9.7.6-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 30 Jun 2024 14:37:27 -0400

org-mode-doc (9.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Add lintian override for repackaged-source-not-advertised and provide
    in-file explanation and justification.
  * Declare Rules-Requires-Root: no
  * Update my copyright years.
  * Install orgguide.info and clean up spare copies of info files
    (Closes: #1074230).
  * Declare Standards-Version: 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 24 Jun 2024 23:15:50 -0400

org-mode-doc (9.6.28-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * d/control: remove myself from Uploaders

  [ Nicholas D Steeves ]
  * Add myself to Uploaders.

  [ Diane Trout ]
  * Add myself to Uploaders.
  * Update debhelper-compat to 13
  * New upstream release.

 -- Diane Trout <diane@ghic.org>  Tue, 30 Apr 2024 20:42:04 -0700

org-mode-doc (9.6.23-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Register HTML manual into doc-base.  Thanks to Sébastien Villemot
    (Closes: #914012).
  * Stop installing the Makefile that is used to build documentation to
    /usr/share/doc.
  * Update FSF's copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 25 Mar 2024 16:34:15 -0400

org-mode-doc (9.6.21-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Diane Trout <diane@ghic.org>  Fri, 15 Mar 2024 11:58:02 -0700

## org-mode-doc 9.7.11

=== debian/changelog ===
org-mode-doc (9.7.11-1) unstable; urgency=medium

  * Manually download & merge antisocial & noncollaborative dgit upload.
  * New upstream version 9.7.11.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 29 Sep 2024 20:38:39 -0400

## org-mode-doc 9.7.13

=== debian/changelog ===
org-mode-doc (9.7.13-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Mon, 21 Oct 2024 08:43:15 -0400

## org-mode-doc 9.7.15

=== debian/changelog ===
org-mode-doc (9.7.15-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 02 Nov 2024 19:52:52 -0400

## org-mode-doc 9.7.19

=== debian/changelog ===
org-mode-doc (9.7.19-1) unstable; urgency=medium

  * New upstream release.
  * Import upstream copyright statement update, and update my copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 03 Jan 2025 17:05:57 -0500

org-mode-doc (9.7.16-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 10 Nov 2024 22:01:19 -0500

## org-mode-doc 9.7.25

=== debian/changelog ===
org-mode-doc (9.7.25-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 16 Mar 2025 11:16:14 -0600

## org-mode-doc 9.7.27

=== debian/changelog ===
org-mode-doc (9.7.27-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 17:50:09 -0400

## org-mode-doc 9.7.29

=== Makefile ===
--- 
+++ 
@@ -23,16 +23,17 @@
 	$(info )
 	$(info Build and Check)
 	$(info ===============)
-	$(info make                - build Org ELisp and all documentation)
+	$(info make                - build Org Elisp and all documentation)
 	$(info make all            - ditto)
-	$(info make compile        - build Org ELisp files)
-	$(info make single         - build Org ELisp files, single Emacs per source)
+	$(info make compile        - build Org Elisp files)
+	$(info make single         - build Org Elisp files, single Emacs per source)
+	$(info make native         - build Org natively compiled Elisp files)
 	$(info make autoloads      - create org-loaddefs.el to load Org in-place)
-	$(info make test           - build Org ELisp files and run test suite)
+	$(info make test           - build Org Elisp files and run test suite)
 	$(info make vanilla        - run Emacs with this Org-mode and no personal config)
 helpall::
 	$(info make test-dirty     - check without building first)
-	$(info make compile-dirty  - build only stale Org ELisp files)
+	$(info make compile-dirty  - build only stale Org Elisp files)
 	$(info )
 	$(info Compatibility)
 	$(info =============)
@@ -40,7 +41,7 @@
 	$(info )
 	$(info Cleaning)
 	$(info ========)
-	$(info make clean          - remove built Org ELisp files and documentation)
+	$(info make clean          - remove built Org Elisp files and documentation)
 	$(info make cleanall       - remove everything that can be built and all remnants)
 	$(info make clean-install  - remove previous Org installation)
 	$(info )
@@ -91,7 +92,7 @@
 	$(info )
 	$(info Full documentation on Worg)
 	$(info ==========================)
-	$(info http://orgmode.org/worg/dev/org-build-system.html)
+	$(info https://orgmode.org/worg/dev/org-build-system.html)
 	@echo ""
 
  include mk/targets.mk	# toplevel make machinery

=== doc/Makefile ===
--- 
+++ 
@@ -27,16 +27,24 @@
 	../mk/guidesplit.pl $@/*
 endif
 
+# We increase GC threshold when generating documentation.  This
+# imrpoves the performance significantly.  See
+# https://yhetil.org/emacs-devel/9778F176-E724-4E61-B0FB-327BCDD316C0@acm.org
+# Too high number may cause memory overflow (for example, it has
+# happened in CI during automated build).  We choose 50Mb threshold,
+# based on the above discussion.
 org.texi:	org-manual.org
 	$(BATCH) 				      \
 	  --eval '(add-to-list `load-path "../lisp")' \
 	  --eval '(load "../mk/org-fixup.el")' 	      \
+	  --eval '(setq gc-cons-threshold (* 50 1000 1000))' \
 	  --eval '(org-make-manual)'
 
 orgguide.texi:	org-guide.org
 	$(BATCH) 				      \
 	  --eval '(add-to-list `load-path "../lisp")' \
 	  --eval '(load "../mk/org-fixup.el")' 	      \
+	  --eval '(setq gc-cons-threshold (* 50 1000 1000))' \
 	  --eval '(org-make-guide)'
 
 org-version.inc:	org.texi

=== lisp/Makefile ===
.SUFFIXES:	# we don't need default suffix rules
ifeq ($(MAKELEVEL), 0)
  $(error This make needs to be started as a sub-make from the toplevel directory.)
endif

LISPV 	:= org-version.el
LISPI 	:= org-loaddefs.el
LISPA 	:= $(LISPV) $(LISPI)
LISPB 	:= $(LISPA:%el=%elc) org-install.elc
LISPF 	:= $(filter-out $(LISPA),$(sort $(wildcard *.el)))
LISPC 	:= $(filter-out $(LISPB) $(LISPN:%el=%elc),$(LISPF:%el=%elc))
LISPN 	:= $(filter-out $(LISPB) $(LISPN:%el=%eln),$(LISPF:%el=%eln))
_ORGCM_ := dirall single native source slint1 slint2
-include local.mk

.PHONY:	all compile compile-dirty \
	$(_ORGCM_) $(_ORGCM_:%=compile-%) \
	autoloads \
	install clean cleanauto cleanall cleanelc clean-install

# do not clean here, done in toplevel make
all compile compile-dirty::	 | autoloads
ifeq ($(filter-out $(_ORGCM_),$(ORGCM)),)
	$(MAKE) compile-$(ORGCM)
else
	$(error ORGCM has illegal value $(ORGCM) (valid: $(_ORGCM_)))
endif

compile-dirall:	dirall
compile-single: $(LISPC) | single
compile-native: $(LISPN) | native
compile-source:	| source dirall
compile-slint1:	| dirall slint1
compile-slint2:	| source dirall slint1

# internal
dirall:
	@$(info ==================== $@ ====================)
	@$(ELCDIR)
single:
	@$(info ==================== $@ ====================)
native:
	@$(info ==================== $@ ====================)
source: cleanelc
	@$(info ==================== $@ ====================)
	@$(foreach elc,$(LISPC),$(MAKE) $(elc) && $(RM) $(elc);)
slint1:
	@$(info ==================== $@ ====================)
	@$(foreach elc,$(LISPC),$(RM) $(elc); $(MAKE) $(elc);)

%.elc:	%.el
	@$(info Compiling single $(abspath $<)...)
	-@$(ELC) $<

%.eln: %.el
	@$(info Native compiling single $(abspath $<)...)
	-@$(ELN) $<

autoloads:	cleanauto $(LISPI) $(LISPV)

$(LISPV):	$(LISPF)
	@echo "org-version: $(ORGVERSION) ($(GITVERSION))"
	@$(RM) $(@)
	@$(MAKE_ORG_VERSION)

$(LISPI):	$(LISPV) $(LISPF)
	@echo "org-loaddefs: $(ORGVERSION) ($(GITVERSION))"
	@$(RM) $(@)
	@$(MAKE_ORG_INSTALL)

install:	 compile $(LISPF)
	if [ ! -d $(DESTDIR)$(lispdir) ] ; then \
	  $(MKDIR) $(DESTDIR)$(lispdir) ; \
	fi ;
	$(CP) $(LISPC) $(LISPF) $(LISPA) $(DESTDIR)$(lispdir)

cleanauto clean cleanall::
	$(RM) $(LISPA) $(LISPB)
clean cleanall cleanelc::
	$(RM) *.elc

clean-install:
	if [ -d $(DESTDIR)$(lispdir) ] ; then \
	  $(RM) $(DESTDIR)$(lispdir)/org*.el* $(DESTDIR)$(lispdir)/ob*.el* $(DESTDIR)$(lispdir)/ol*.el* $(DESTDIR)$(lispdir)/ox*.el* ; \
	fi ;

=== debian/changelog ===
org-mode-doc (9.7.29-1) unstable; urgency=medium

  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 29 Apr 2025 22:30:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: non-free/doc
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Uploaders: Nicholas D Steeves <sten@debian.org>,
+           Diane Trout <diane@ghic.org>,
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended, emacs-nox
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode-doc

## org-mode-doc 9.7.34

=== debian/changelog ===
org-mode-doc (9.7.34-1) unstable; urgency=medium

  * New upstream release.
  * Declare Standards-Version: 4.7.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Sat, 06 Sep 2025 20:31:12 -0400

=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,13 @@
 
 override_dh_installdocs:
 	dh_installdocs doc/*
+	rm -f $(CURDIR)/debian/org-mode-doc/usr/share/doc/org-mode-doc/Makefile
 	rm -f $(CURDIR)/debian/org-mode-doc/usr/share/doc/org-mode-doc/*texi*
 
 override_dh_installinfo:
 	dh_installinfo doc/org.info
+	dh_installinfo doc/orgguide.info
+	rm debian/org-mode-doc/usr/share/doc/org-mode-doc/org.info
+	rm debian/org-mode-doc/usr/share/doc/org-mode-doc/orgguide.info
 
 override_dh_auto_install override_dh_auto_test:

=== debian/watch ===
version=4
opts=mode=git,repack,compression=xz \
  https://git.savannah.gnu.org/git/emacs/org-mode.git refs/tags/release_([\d.]+)

## org-mode-doc 9.7.36

=== debian/changelog ===
org-mode-doc (9.7.36-1) unstable; urgency=medium

  * New upstream version.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 08 Nov 2025 19:22:18 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: texinfo, texlive-latex-base, texlive-fonts-recommended, emacs-nox
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode-doc.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode-doc
